webpackJsonp([13],{

/***/ "5c16":
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });

// EXTERNAL MODULE: ./node_modules/babel-runtime/core-js/object/assign.js
var object_assign = __webpack_require__("woOf");
var assign_default = /*#__PURE__*/__webpack_require__.n(object_assign);

// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vue-loader/lib/selector.js?type=script&index=0!./src/view/cameraLink.vue

//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

/* harmony default export */ var cameraLink = ({
  name: 'cameraLink',
  data: function data() {
    return {
      visible: false,
      update: true,
      iframeUrl: '',
      iframeForm: {},
      form: {
        protocol: 'http',
        src: ''
      }
    };
  },
  created: function created() {
    this.getData();
  },

  methods: {
    getIP: function getIP() {
      this.iframeUrl = this.form.protocol + window.location.hostname + ':' + this.form.port;
    },
    getData: function getData() {
      var _this = this;

      this.$http.getCameraLink().then(function (res) {
        _this.form = res.data.data;
        _this.iframeForm = assign_default()({}, res.data.data);
        _this.getIP();
      }).catch(function (e) {});
    },
    dialogOpen: function dialogOpen() {
      this.visible = true;
    },
    submitOk: function submitOk() {
      var _this2 = this;

      var params = this.form;
      this.$refs.form.validate(function (valid) {
        if (valid) {
          _this2.$http.setCameraLink(params).then(function (res) {
            _this2.update = false;
            _this2.$message.success(_this2.$t('tips.modifiedSuccess'));
            _this2.handleClose();
          }).catch(function (e) {});
        }
      });
    },
    handleClose: function handleClose() {
      var _this3 = this;

      setTimeout(function () {
        _this3.update = true;
      }, 300);
      this.visible = false;
      this.$refs.form.resetFields();
      this.getData();
    }
  }
});
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/template-compiler?{"id":"data-v-34e6ba00","hasScoped":true,"transformToRequire":{"video":["src","poster"],"source":"src","img":"src","image":"xlink:href"},"buble":{"transforms":{}}}!./node_modules/vue-loader/lib/selector.js?type=template&index=0!./src/view/cameraLink.vue
var render = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',{staticClass:"list-container"},[(_vm.iframeForm.src)?_c('div',{staticClass:"list-iframe_box"},[_c('el-button',{staticClass:"list-iframe_btn",attrs:{"type":"primary"},on:{"click":_vm.dialogOpen}},[_c('i',{staticClass:"el-icon-setting pr_5"}),_vm._v("\n      "+_vm._s(_vm.$t('cameraLink.configuration'))+"\n    ")]),_vm._v(" "),(_vm.update)?_c('iframe',{attrs:{"src":_vm.iframeUrl,"frameborder":"0","width":"100%","height":"100%"}}):_vm._e()],1):_c('div',{staticClass:"list-box"},[_c('div',{staticClass:"list-content"},[_c('div',{staticClass:"list-title"},[_vm._v(_vm._s(_vm.$t('cameraLink.notConfigured')))]),_vm._v(" "),_c('el-button',{attrs:{"type":"primary"},on:{"click":_vm.dialogOpen}},[_c('i',{staticClass:"el-icon-setting pr_5"}),_vm._v("\n        "+_vm._s(_vm.$t('cameraLink.configuration'))+"\n      ")])],1)]),_vm._v(" "),_c('el-dialog',{attrs:{"title":_vm.$t('cameraLink.addCamera'),"visible":_vm.visible,"width":"500px","center":""}},[_c('el-form',{ref:"form",attrs:{"model":_vm.form,"size":"mini","label-width":"100px"}},[_c('el-form-item',{attrs:{"prop":"src","label":_vm.$t('cameraLink.targetURL'),"rules":_vm.$filter_rules({ required: true })}},[_c('el-input',{staticClass:"input-with-select",attrs:{"size":"mini"},model:{value:(_vm.form.src),callback:function ($$v) {_vm.$set(_vm.form, "src", $$v)},expression:"form.src"}},[_c('el-select',{attrs:{"slot":"prepend","size":"mini"},slot:"prepend",model:{value:(_vm.form.protocol),callback:function ($$v) {_vm.$set(_vm.form, "protocol", $$v)},expression:"form.protocol"}},[_c('el-option',{attrs:{"label":"http://","value":"http://"}}),_vm._v(" "),_c('el-option',{attrs:{"label":"https://","value":"https://"}})],1)],1)],1)],1),_vm._v(" "),_c('div',{staticClass:"dialog-footer"},[_c('el-button',{attrs:{"type":"primary","size":"mini"},on:{"click":_vm.submitOk}},[_vm._v(_vm._s(_vm.$t('button.ok')))]),_vm._v(" "),_c('el-button',{attrs:{"type":"danger","size":"mini"},on:{"click":_vm.handleClose}},[_vm._v(_vm._s(_vm.$t('button.cancel')))])],1)],1)],1)}
var staticRenderFns = []
var esExports = { render: render, staticRenderFns: staticRenderFns }
/* harmony default export */ var view_cameraLink = (esExports);
// CONCATENATED MODULE: ./src/view/cameraLink.vue
function injectStyle (ssrContext) {
  __webpack_require__("lOmt")
}
var normalizeComponent = __webpack_require__("VU/8")
/* script */


/* template */

/* template functional */
var __vue_template_functional__ = false
/* styles */
var __vue_styles__ = injectStyle
/* scopeId */
var __vue_scopeId__ = "data-v-34e6ba00"
/* moduleIdentifier (server only) */
var __vue_module_identifier__ = null
var Component = normalizeComponent(
  cameraLink,
  view_cameraLink,
  __vue_template_functional__,
  __vue_styles__,
  __vue_scopeId__,
  __vue_module_identifier__
)

/* harmony default export */ var src_view_cameraLink = __webpack_exports__["default"] = (Component.exports);


/***/ }),

/***/ "lOmt":
/***/ (function(module, exports) {

// removed by extract-text-webpack-plugin

/***/ })

});