webpackJsonp([8],{

/***/ "2ZEU":
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });

// EXTERNAL MODULE: ./node_modules/babel-runtime/core-js/object/assign.js
var object_assign = __webpack_require__("woOf");
var assign_default = /*#__PURE__*/__webpack_require__.n(object_assign);

// EXTERNAL MODULE: ./node_modules/babel-runtime/helpers/extends.js
var helpers_extends = __webpack_require__("Dd8w");
var extends_default = /*#__PURE__*/__webpack_require__.n(helpers_extends);

// EXTERNAL MODULE: ./node_modules/vuex/dist/vuex.esm.js
var vuex_esm = __webpack_require__("NYxO");

// EXTERNAL MODULE: ./node_modules/js-cookie/src/js.cookie.js
var js_cookie = __webpack_require__("lbHh");
var js_cookie_default = /*#__PURE__*/__webpack_require__.n(js_cookie);

// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vue-loader/lib/selector.js?type=script&index=0!./src/view/login.vue


//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//



/* harmony default export */ var login = ({
  name: '',
  data: function data() {
    return {
      userInfo: {
        user: '',
        password: ''
      },
      language: '',
      copyRight: '',
      logoUrl: __webpack_require__("ERDW")
    };
  },
  created: function created() {
    //logo
    this.logoUrl = this.$kv_config.loginImgUrl ? this.$kv_config.loginImgUrl : this.$kv_config.logoImgUrl ? this.$kv_config.logoImgUrl : this.$options.data().logoUrl;
    this.getLanguage();
    //移除存储信息
    this.removeAppliacation();
  },

  methods: extends_default()({}, Object(vuex_esm["b" /* mapActions */])(['setLoginInfo', 'setLanguage']), {
    removeAppliacation: function removeAppliacation() {
      js_cookie_default.a.set('user', '', -1);
      js_cookie_default.a.set('token', '', -1);
      js_cookie_default.a.set('alias', '', -1);
      sessionStorage.clear();
    },

    //获取默认语言
    getLanguage: function getLanguage() {
      var lang_flag = js_cookie_default.a.get('language');
      var lang = navigator.language || navigator.userLanguage; //常规浏览器语言和IE浏览器
      if (lang_flag) {
        this.language = lang_flag;
      } else {
        this.language = this.$kv_config.defaultLang ? this.$kv_config.defaultLang : lang.substr(0, 2);
        this.setLangeLocale();
      }
    },
    setLangeLocale: function setLangeLocale() {
      js_cookie_default.a.set('language', this.language);
      this.$i18n.locale = this.language;
      this.setLanguage(this.language);
    },
    languageChange: function languageChange() {
      this.setLangeLocale();
      /*清除表单验证提示*/
      this.$refs.userInfo.resetFields();
    },

    //获取模式
    getMode: function getMode() {
      var _this = this;

      this.$http.getMode().then(function (res) {
        var activeMode = res.data.data.mode ? res.data.data.mode : 'encoder';
        _this.$router.push({
          name: activeMode
        });
      }).catch(function (e) {
        _this.$router.push({
          name: 'encoder'
        });
      });
    },
    submit: function submit() {
      var _this2 = this;

      this.$refs.userInfo.validate(function (valid) {
        if (valid) {
          _this2.$http.login(_this2.userInfo).then(function (res) {
            _this2.$message.success(_this2.$t('login.loginSuccess'));
            _this2.storeInformation(res.data.data);
            _this2.$refs.userInfo.resetFields();
            _this2.getMode(); //登录成功后查询模式
          }).catch(function (e) {});
        }
      });
    },

    /*存储返回信息*/
    storeInformation: function storeInformation(data_info) {
      var session_info = {
        user: this.userInfo.user
      };
      assign_default()(session_info, data_info);
      this.setLoginInfo(session_info);
      js_cookie_default.a.set('user', this.userInfo.user);
      js_cookie_default.a.set('alias', data_info.alias);
      js_cookie_default.a.set('token', data_info.token);
    },
    OpenSourceComponents: function OpenSourceComponents() {
      this.$router.push({
        name: 'OpenSourceComponents',
        params: {
          from: this.$route.name
        }
      });
    }
  })
});
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/template-compiler?{"id":"data-v-5ed2f400","hasScoped":true,"transformToRequire":{"video":["src","poster"],"source":"src","img":"src","image":"xlink:href"},"buble":{"transforms":{}}}!./node_modules/vue-loader/lib/selector.js?type=template&index=0!./src/view/login.vue
var render = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',{staticClass:"login-page"},[_c('div',{staticClass:"text-center"},[(_vm.$kv_config.loginImgShow)?_c('img',{staticClass:"login-img",attrs:{"src":_vm.logoUrl}}):_vm._e(),_vm._v(" "),_c('div',{staticClass:"login-box"},[_c('div',{staticClass:"title"},[_vm._v(_vm._s(_vm.$kv_config.appName ? _vm.$kv_config.appName : _vm.$t('login.login')))]),_vm._v(" "),_c('el-form',{ref:"userInfo",attrs:{"model":_vm.userInfo}},[_c('el-form-item',{attrs:{"prop":"user","rules":_vm.$filter_rules({ required: true })}},[_c('el-input',{attrs:{"placeholder":_vm.$t('login.username')},model:{value:(_vm.userInfo.user),callback:function ($$v) {_vm.$set(_vm.userInfo, "user", $$v)},expression:"userInfo.user"}})],1),_vm._v(" "),_c('el-form-item',{attrs:{"prop":"password","rules":_vm.$filter_rules({ required: true })}},[_c('el-input',{attrs:{"placeholder":_vm.$t('login.password'),"type":"password"},nativeOn:{"keydown":function($event){if(!$event.type.indexOf('key')&&_vm._k($event.keyCode,"enter",13,$event.key,"Enter")){ return null; }return _vm.submit($event)}},model:{value:(_vm.userInfo.password),callback:function ($$v) {_vm.$set(_vm.userInfo, "password", $$v)},expression:"userInfo.password"}})],1),_vm._v(" "),(_vm.$kv_config.language)?_c('el-form-item',{attrs:{"prop":"language"}},[_c('el-select',{on:{"change":_vm.languageChange},model:{value:(_vm.language),callback:function ($$v) {_vm.language=$$v},expression:"language"}},_vm._l((_vm.$kv_config.languageOptions),function(val,key){return _c('el-option',{key:key,attrs:{"label":val,"value":key}})}),1)],1):_vm._e(),_vm._v(" "),_c('el-button',{attrs:{"type":"primary"},on:{"click":_vm.submit}},[_vm._v(_vm._s(_vm.$t('login.login')))])],1)],1),_vm._v(" "),_c('div',{staticClass:"copyRight"},[_c('p',{staticClass:"component_tag",on:{"click":_vm.OpenSourceComponents}},[_vm._v(_vm._s(_vm.$t('agreement.openSourceComponents')))]),_vm._v("\n      "+_vm._s(_vm.copyRight)+"\n    ")])])])}
var staticRenderFns = []
var esExports = { render: render, staticRenderFns: staticRenderFns }
/* harmony default export */ var view_login = (esExports);
// CONCATENATED MODULE: ./src/view/login.vue
function injectStyle (ssrContext) {
  __webpack_require__("Hp8d")
}
var normalizeComponent = __webpack_require__("VU/8")
/* script */


/* template */

/* template functional */
var __vue_template_functional__ = false
/* styles */
var __vue_styles__ = injectStyle
/* scopeId */
var __vue_scopeId__ = "data-v-5ed2f400"
/* moduleIdentifier (server only) */
var __vue_module_identifier__ = null
var Component = normalizeComponent(
  login,
  view_login,
  __vue_template_functional__,
  __vue_styles__,
  __vue_scopeId__,
  __vue_module_identifier__
)

/* harmony default export */ var src_view_login = __webpack_exports__["default"] = (Component.exports);


/***/ }),

/***/ "ERDW":
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "static/img/login_logo.ad5568a.png";

/***/ }),

/***/ "Hp8d":
/***/ (function(module, exports) {

// removed by extract-text-webpack-plugin

/***/ })

});