local DC = require "supertable.declare"
local CONF = require "supertable.core"

local _M = {
	config_file = "/data/configs/rtmp_server.conf"
}

----------------------------

local rtmp_server_template = DC.OBJ({
		user_name = DC.STR(""),
		password = DC.STR(""),
		server_port = DC.INT(1935)
		--todo
	}
) : __changed( function(conf)
	conf:TAB_SAVE()
end)
-------------------------------------------
function _M.Load()
	local conf = CONF.Create({}, rtmp_server_template)
	conf:TAB_STORAGE( "file", { file =  _M.config_file } )
	conf:TAB_LOAD()
	conf:TAB_RESET_CHANGE()
	return conf
end

-----------------------------------------------------------

return _M

